Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.plugins
Class JSR77Lister

    java.lang.Object
      org.jboss.console.plugins.helpers.AbstractPluginWrapper
          org.jboss.console.plugins.JSR77Lister

All Implemented Interfaces:
  ConsolePlugin, PluginWrapper, Serializable

public class JSR77Lister
extends AbstractPluginWrapper

As the number of MBeans is very big, we use a real Java class which is far faster than beanshell

Version:
  $Revision: 1.5 $

  Revisions:

  2 janv. 2003 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:
  , Serialized Form

Nested Class Summary
`class` | `JSR77Lister.ListerSorter`

Nested classes inherited from class org.jboss.console.plugins.helpers.AbstractPluginWrapper
`AbstractPluginWrapper.InternalResourceChecker, AbstractPluginWrapper.RootTreeChecker, AbstractPluginWrapper.SingleMBeanChecker, AbstractPluginWrapper.StandardMBeanChecker, AbstractPluginWrapper.SubFolderChecker`

Field Summary
`static String[]` | `DEFAULT_SUFFIX_ORDER`
`protected static String` | `JMX_JSR77_DOMAIN`

Fields inherited from class org.jboss.console.plugins.helpers.AbstractPluginWrapper
`checker, FOLDER_NAME_PARAM, folderName, IS_ROOT_NODE_PARAM, log, MBEAN_CLASS_PARAM, mbeanClass, mbeanServer, OBJECT_NAME_PARAM, objectName, pluginName, pluginVersion, pm, rootContextName, SCRIPT_NAME_PARAM, WRAPPER_CLASS_PARAM`

Fields inherited from interface org.jboss.console.manager.interfaces.ConsolePlugin
`PLUGIN_PROFILES, WEB_PROFILE`

Constructor Summary
`JSR77Lister()`

Method Summary
`protected TreeNode` | `getTreeForResource(String profile, ManageableResource resource)`

Methods inherited from class org.jboss.console.plugins.helpers.AbstractPluginWrapper
`createMenus, createResourceNode, createResourceNode, createTreeNode, destroy, encode, findJBossMBeanServer, findPluginManager, fixUrl, getIdentifier, getMBeanServer, getMBeansForClass, getMBeansForQuery, getPluginIdentifier, getPluginVersion, getSubTreeForResource, getSupportedProfiles, getVersion, init, isResourceToBeManaged, readConfigurationParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JMX_JSR77_DOMAIN

    protected static final String JMX_JSR77_DOMAIN

See Also:
  Constant Field Values

### DEFAULT_SUFFIX_ORDER

    public static final String[] DEFAULT_SUFFIX_ORDER

Constructor Detail

### JSR77Lister

    public JSR77Lister()

Method Detail

### getTreeForResource

    protected TreeNode getTreeForResource(String profile,
                                          ManageableResource resource)

  Specified by:
    `getTreeForResource` in class `AbstractPluginWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.